mainwindow.h
#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include <QMainWindow>
#include <QFileDialog>
#include <QDir>
#include <QMessageBox>
#include <QImage>
using namespace std;
//void RemoveNoise(QImage &, const vector<QImage> &) ;
namespace Ui {
class MainWindow;
}
class MainWindow : public QMainWindow{
Q_OBJECT
public:
explicit MainWindow(QWidget *parent = 0);
void PixelSort(vector<QRgb> &pixels);
void RemoveNoise(QImage & finalImage, const vector<QImage> & images);
~MainWindow();
private slots:
void on_btnLoadImages_clicked();
void on_btnRemoveNoise_clicked();
void on_btnSaveImage_clicked();
void on_actLoad_Images_triggered();
void on_actRemoveNoise_triggered();
void on_actSaveImage_triggered();
private:
Ui::MainWindow *ui;
QImage finalImage;
// Vectors that contain the image and its values
vector<QImage> images;
void loadImages(vector<QImage> & , QString);
};
#endif // MAINWINDOW_H
Ui
Definition: dialog.h:9
std
MainWindow
Definition: mainwindow.h:19